2 Replies Latest reply on May 7, 2018 8:40 AM by Grant Kirkland

    Insert Revision Table and Set Anchor Position Macro

    Grant Kirkland

      I'm trying to create a macro which will insert a revision table and set the anchor to the bottom left corner.

       

      No matter what I do it inserts the revision table at the anchor on the top right corner. What gives?

       

      Option Explicit

       

       

      Dim swApp As SldWorks.SldWorks

      Dim swDraw As SldWorks.DrawingDoc

      Dim currentsheet As SldWorks.Sheet

      Dim swModel As SldWorks.ModelDoc2

      Dim revTableAnno As SldWorks.RevisionTableAnnotation

      Dim boolstatus As Boolean

      Dim longstatus As Long, longwarnings As Long

       

       

      Sub main()

       

       

      Set swApp = Application.SldWorks

      Set swModel = swApp.ActiveDoc

      Set swDraw = swModel

       

       

      Set currentsheet = swDraw.GetCurrentSheet

      swDraw.ActivateSheet (currentsheet.GetName)

       

       

      ' Insert a revision table

      Set revTableAnno = currentsheet.InsertRevisionTable2(True, 0, 0, swBOMConfigurationAnchor_BottomLeft, "C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS\lang\English\standard revision block.sldrevtbt", swRevisionTable_CircleSymbol, True)

      boolstatus = swModel.Extension.SetUserPreferenceInteger(swUserPreferenceIntegerValue_e.swRevisionTableSymbolShape, 0, swRevisionTableSymbolShape_e.swRevisionTable_CircleSymbol)

       

       

      End Sub